diff options
author | Darrell Anderson <humanreadable@yahoo.com> | 2013-03-05 09:46:52 -0600 |
---|---|---|
committer | Darrell Anderson <humanreadable@yahoo.com> | 2013-03-05 09:46:52 -0600 |
commit | 0ab8ac0ae998af9c62ea705686dcfec7d063a667 (patch) | |
tree | cf6fcd2c20b68474fc7397cd7cf65631dc02c428 /starttde | |
parent | 1ccb66e2ab5525ecaf870d6015f01edd26a93b76 (diff) | |
download | tdebase-0ab8ac0ae998af9c62ea705686dcfec7d063a667.tar.gz tdebase-0ab8ac0ae998af9c62ea705686dcfec7d063a667.zip |
Update starttde script to force run r14-xdg-update against the latest renaming changes.
Diffstat (limited to 'starttde')
-rw-r--r-- | starttde | 18 |
1 files changed, 16 insertions, 2 deletions
@@ -257,15 +257,29 @@ test -n "$TDEHOME" && tdehome=`echo "$TDEHOME" | sed "s,^~/,$HOME/,"` export DESKTOP_SESSION=trinity if [ -d "$tdehome" ]; then - # Possibly run some R14 XDG compliance updates. + # Run some R14 updates. R14_UPDATED="`$TDEDIR/bin/kreadconfig --file kdeglobals --group "R14 XDG Updates" --key Updated`" + if [ "$R14_UPDATED" = "true" ]; then + # There were massive renaming changes long after the original XDG renaming changes. + # The r14-xdg-update script needs to be run again to ensure users have many rc + # config files renamed. So despite the key Updated=true we run the script again with + # to make those changes for the user. Otherwise strange things happen. We select + # some rc config files that will be created automatically under the new changes. + # If those rc files do not exist then we presume the r14-xdg-update script needs to be + # run again. There is no harm in running the script multiple times. + if [ ! -f $TDEHOME/share/config/tdeconf_updaterc ] || [ ! -f $TDEHOME/share/config/tdelaunchrc ]; then + R14_UPDATED="false" + fi + else + R14_UPDATED="false" + fi if [ "$R14_UPDATED" != "true" ]; then if [ -e $TDEDIR/bin/r14-xdg-update ]; then sh $TDEDIR/bin/r14-xdg-update EXIT_CODE="$?" else echo "[starttde] $TDEDIR/bin/r14-xdg-update does not exist." 1>&2 - echo " Unable to perform a profile update for Trinity release R14 XDG compliance." + echo " Unable to perform a profile update for Trinity release R14." fi if [ "$EXIT_CODE" != "0" ]; then exit 1 |